package edu.wpi.cs.dsrg.xmldb.xat.common.operator.specialoperator;

/////////////////////////// COPYRIGHT /////////////////////////////////////
//
//  Rainbow 1.0 - XQuery Processing.
//
//  Copyright 2003, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty.
//  In no event will the authors be held liable for any damages arising
//  from the use of this software.
//
//  Authors:
//  Steffen Christ, Katica Dimitrova, Luping Ding, Michal A. Dobos,
//  Maged El-Sayed, Geoff Greene, Huzefa Hakimi, Justin Lutz, Guy D. Mann,
//  Mukesh Mulchandani, Brian Murphy, Bradford Pielech, Alex Proschitsky,
//  Elke A. Rundensteiner, Ling Wang, Song Wang, and Xin Zhang
//
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/~dsrg/rainbow/index.htm
//
//  Send bug reports, bug fixes, enhancements, requests, or comments to
//  the Rainbow Development Team: <rainbow@WPI.EDU>.
//
/////////////////////////// COPYRIGHT /////////////////////////////////////

import edu.wpi.cs.dsrg.xmldb.xat.common.visitorpattern.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.operator.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.xatnode.*;
import edu.wpi.cs.dsrg.xmldb.xat.common.treestructure.*;

/**
 * Implementation for interface XQueryStmt.
 * @author  Rainbow Group, DSRG, WPI
 * @version RainbowCore 1.0
 * @since   1.0  
 */

public class XQueryStmtImp extends XATOperatorImp implements XQueryStmt {
    protected String sXQueryStmt;
    protected String sOrgColumnName;

    /**
     * Assigns a node to this operator .
     * @param xnodInit edu.wpi.cs.dsrg.xmldb.xat.common.xatnode.XATNode
     * @since   1.0      
     */
    public XQueryStmtImp(XATNode xnodInit) {
        super(xnodInit);
    }
    /**
     * Assigns a node to this operator and an XQuery Statement.
     * @param xnodInit edu.wpi.cs.dsrg.xmldb.xat.common.xatnode.XATNode
     * @param sXQueryStmtInitis the XQuery Statement    
     * @since   1.0      
     */
    public XQueryStmtImp(XATNode xnodInit, String sXQueryStmtInit) {
        super(xnodInit);
        sXQueryStmt = sXQueryStmtInit;
    }
    /** 
     * It used to implement a visitor pattern. 
     * @param visitor for the visitor pattern
     * @since   1.0     
    */
    public void accept(Visitor visitor) {
    }
    /**
     * Get the current XQuery statement in the XQuery operator.
     * @return current XQuery language.
     * @since   1.0      
     */
    public String getStmt() {
        return sXQueryStmt;
    }
    /**
     * Set the XQuery stored in this XQuery operator.
     * @param newXQuery the new XQuery statement.
     * @return original XQuery statement.
     * @since   1.0      
     */
    public void setStmt(String newXQuery) {
        sXQueryStmt = newXQuery;
    }
    /**
      * returns a string representation 
      * @return java.lang.String
      * @since   1.0     
      */
    public String toString() {
        return "XQuery[" + sXQueryStmt + "]";
    }
}
