package edu.wpi.cs.dsrg.xmldb.xat.component.statisticsgatherer;

import edu.wpi.cs.dsrg.xmldb.xat.common.operator.XATOperator;
import edu.wpi.cs.dsrg.xmldb.xat.common.operator.XATQueryObject;
import java.util.*;
import edu.wpi.cs.dsrg.xmldb.xat.component.statisticsgatherer.StatisticsObject;
/**
 * This is the StatisticsObject used for any property that is incremented by
 * some value.  Calling <tt>calculateNewValue()</tt> will increment by 1.  Calling
 * <tt>calculateNewValue(String newValue)</tt> will increment by whatever int newValue encodes. <p>
 *
 * If you need to be able to decrement, you can pass "-1" If you need to increment based on
 * some other property, then you have to make a seperate StatisticsObject for that purpose. 
 * 
 */
public class IncrementValueByN extends StatisticsObject {
/**
 * TupleCountStatisticsObject constructor comment.
 */
public IncrementValueByN() {
	super();
}
/**
 * TupleCountStatisticsObject constructor comment.
 * @param name java.lang.String
 * @param queryObject edu.wpi.cs.dsrg.xmldb.xat.common.operator.XATQueryObject
 */
public IncrementValueByN(String name, edu.wpi.cs.dsrg.xmldb.xat.common.operator.XATQueryObject queryObject) {
	super(name, queryObject);
}
/**
 * Calculates the new Value of the given property of this operator.  This
 * should be overwritten by subclasses who can tailor this method to calculating 1
 * specific property. <p>
 * This method should update at least the local propertyValue and possibly the
 * value with the operator The entire StatisticsGatherer is available for assistance.   <p>
 *
 * The procedure for calculating new values should be as follows:
 *
 * <ol>
 * <li> Consult the associatedOperator or statsTable for any propertyValues that are needed.
 * <li> Perform the required calculations using the propertyValues from step 1
 * <li> Update the local propertyValue.
 * <li> Update the property of the operator iff <tt>getCategory() == StatisticsGatherer.OVERALL<tt>
 * and the property is an aggregate value.  Otherwise, leave the operator property alone. This
 * way the operator property's value's represent the OVERALL aggregate values.
 * <li> Update the lastTimeUpdated value by using <tt>lastTimeUpdated = System.currentTimeMillis();</tt>
 * </ol> 
 */
public void calculateNewValue() {
	
	calculateNewValue("1");
}
/**
 * This is semantically the same as <tt>calculateNewValue()</tt>, but this
 * provides a parameter which assists in the calculation.
 * Calculates the new Value of the given property of this operator.  This
 * should be overwritten by subclasses who can tailor this method to calculating 1
 * specific property. <p>
 * This method should update at least the local propertyValue and possibly the
 * value with the operator The entire StatisticsGatherer is available for assistance.   <p>
 *
 * The procedure for calculating new values should be as follows:
 *
 * <ol>
 * <li> Consult the statsTable for any propertyValues that are needed.
 * <li> Perform the required calculations using the propertyValues from step 1
 * <li> Update the local propertyValue.
 * <li> Update the lastTimeUpdated value by using <tt>lastTimeUpdated = System.currentTimeMillis();</tt>
 * </ol> 
 */
public void calculateNewValue(String newValue) {
	
	int count = Integer.parseInt(this.getPropertyValue());
	int add = Integer.parseInt(newValue); 
	this.setPropertyValue("" + (count + add));	
}
}
