package edu.wpi.cs.dsrg.xmldb.xat.testfiles;

/////////////////////////// COPYRIGHT /////////////////////////////////////
//
//  Rainbow 1.0 - XQuery Processing.
//
//  Copyright 2003, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty.
//  In no event will the authors be held liable for any damages arising
//  from the use of this software.
//
//  Authors:
//  Steffen Christ, Katica Dimitrova, Luping Ding, Michal A. Dobos,
//  Maged El-Sayed, Geoff Greene, Huzefa Hakimi, Justin Lutz, Guy D. Mann,
//  Mukesh Mulchandani, Brian Murphy, Bradford Pielech, Alex Proschitsky,
//  Elke A. Rundensteiner, Ling Wang, Song Wang, and Xin Zhang
//
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/~dsrg/rainbow/index.htm
//
//  Send bug reports, bug fixes, enhancements, requests, or comments to
//  the Rainbow Development Team: <rainbow@WPI.EDU>.
//
/////////////////////////// COPYRIGHT /////////////////////////////////////
import java.io.*;
import xacute.quilt.QuiltParser;
import edu.wpi.cs.dsrg.utils.ObjectPrinter;

/**
 * This Class is used to test printing.
 * @author  Rainbow Group, DSRG, WPI
 * @version RainbowCore 1.0
 * @since   1.0
 */

public class TestObjectPrinter {
/**
 * TestObjectPrinter constructor comment.
 */
public TestObjectPrinter() {
	super();
}
/**
 * Starts the application.
 * @param args an array of command-line arguments
 */
public static void main(java.lang.String[] args) {
	try{
		// Insert code to start the application here.
		if(args.length < 1){
			System.out.println("Usage: filename");
			System.exit(1);
		}
		QuiltParser parser = new QuiltParser();
		Object query = parser.parseQuery(readFile(args[0]));
		ObjectPrinter printer = new ObjectPrinter();
		printer.print(query);
	}catch(Throwable e){
		e.printStackTrace(System.err);
	}
}
	public static String readFile(String filename){
		StringBuffer buf = new StringBuffer();
		try{
			BufferedReader in = new BufferedReader(new FileReader(filename));
			do{
				String line = in.readLine();
				if(line == null)
					break;
				buf.append(line + "\n");
			}while(true);
		}catch(Exception e){
			e.printStackTrace();
		}
		return buf.toString();
	}
}
